input{
    border: 0.4px solid black !important;
    padding-left: 10px !important;

}
#loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(4px);

    display: flex;
    justify-content: center;
    align-items: center;

    z-index: 9999;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease;
}

#loading-overlay.active {
    visibility: visible;
    opacity: 1;
}

/* Spinner custom */
.spinner {
    width: 50px;
    height: 50px;
    border: 5px solid rgba(255,255,255,0.3);
    border-top: 5px solid #fff;
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}
.control-form{
    display: none;

}
.control-form.active{
    display:flex !important;
}
nav{
    background: rgb(152, 179, 196) !important;
    border-bottom: 1px solid rgb(2, 26, 39) !important;
    box-shadow: 0 0 10px rgb(2, 26, 39) !important;
    position: sticky !important;
    top: 0 !important;
    width: 100% !important;
    z-index: 1000 !important;
}
.menu-header-pop{
    position: absolute !important;
    width: 150px !important;
    overflow: hidden !important;
    background: rgb(255, 255, 255) !important;
    border: 1px solid rgb(2, 26, 39) !important;
    top: 20px !important;
    /* right:  !important; */
}
.dropdown .dropdown-menu.dropdown-menu-end{
    right: -40px !important;
}
.head-menu{
    display: flex !important;
    flex-direction: column !important;
    align-items: center !important;
    justify-content: center !important;
}
#navbarDropdown{
    display: flex !important;
    align-items: center !important;
    border-radius: 50% !important;
    background: rgb(0, 162, 255);
    border: 1px solid rgb(2, 26, 39) !important;
    color: white !important;
    aspect-ratio: 1/1 !important;
    text-shadow: 0 0 5px rgb(8, 0, 0) !important;
    font-size: 20px !important;
}
#navbarDropdown:hover{
    background: rgb(5, 94, 145) !important;
    color: white !important;
    text-shadow: 0 0 5px rgb(8, 0, 0) !important;
}
a#navbarDropdown.nav-link.dropdown-toggle::after{
    display: none !important;
}

.container-utama{
    display: flex !important;
    gap: 20px !important;
    position: relative;
}
.container-utama .menu-sidebar{
    width: 200px !important;
    height: 800px !important;
    background: rgb(152, 179, 196) !important;
    /* border: 1px solid rgb(2, 26, 39) !important; */
    border-radius: 10px !important;
    padding: 20px !important;
    box-shadow: 0 0 10px rgb(2, 26, 39) !important;
    position: sticky !important;
    margin-top:10px !important;
    left: 10px !important;
}
.sidebar-logo{
    display: flex !important;
    align-items: center !important;
    gap: 5px !important;
    justify-content: center !important;
}
.logo-image{
    height: 40px !important;
    width: 40px !important;
}
.logo-text{
    font-size: 20px !important;
    font-weight: bold !important;
    color: rgb(255, 255, 255) !important;
    text-shadow: 0 0 5px rgb(8, 0, 0) !important;
}

.sidebar-items{
    display:flex !important;
    justify-content: center !important;
    font-size: 16px !important;
    padding: 10px 0px !important;
    font-weight: bold !important;
    color: rgb(255, 255, 255) !important;
    transition: all 0.3s ease !important;
}
.sidebar-items:hover{
    border-bottom: 2px solid rgb(255, 255, 255) !important;
}
.divider{
    height: 1px !important;
    background: rgb(255, 255, 255) !important;
    margin: 10px 0px !important;
    margin-bottom: 25vh !important;
}
.sidebar-bottom{
    display: flex !important;
    flex-direction: column !important;
    justify-content: end !important;
    align-items:center !important;
    font-size: 16px !important;
    padding: 10px 0px !important;
    font-weight: bold !important;
    color: rgb(255, 255, 255) !important;
    transition: all 0.3s ease !important;
    bottom: 0 !important;
}
.sidebar-items-bottom{
    display:flex !important;
    flex-direction: column !important;
    justify-content: center !important;
    align-items:center !important;
    font-size: 16px !important;
    padding: 10px 0px !important;
    width: 100% !important;
    font-weight: bold !important;
    color: rgb(255, 255, 255) !important;
    transition: all 0.3s ease !important;
    margin-top: auto !important;
}
.sidebar-items-bottom:hover{
    border-top: 1px solid rgb(255, 255, 255) !important;
}
.sidebar-items .sidebar-btn{
    display: flex !important;
    width: 100% !important;
    padding: 5px 0px !important;
    justify-content: center !important;
    border-radius: 5px !important;
    color: rgb(255, 255, 255) !important;
    text-shadow: 0 0 5px rgb(8, 0, 0) !important;
}
.container-utama main{
    flex: 1 !important;
    /* background: rgb(91, 142, 172) !important; */
    /* border: 1px solid rgb(2, 26, 39) !important; */
    border-radius: 10px !important;
    padding: 20px !important;
    margin-top: 10px !important;
    box-shadow: 0 0 10px rgb(2, 26, 39) !important;
    max-height: 800px !important;
    overflow-y: auto !important;
}
.container-utama main::-webkit-scrollbar{
    display: none;
}
#button-burger{
    display: none !important;
}

/* #contact-list{
    max-height: 150px !important;
    overflow-y: auto;
} */


@media (max-width: 768px) {
    .container-utama{
        flex-direction: column !important;
    }
    .container-utama .menu-sidebar{
        display: none !important;
    }
    .container-utama .menu-sidebar.active{
        display: block !important;
        position: fixed !important;
        top:80px !important;
        left: 10px !important;
        z-index: 1000 !important;
    }
    .container-utama main{
        width: 100% !important;
    }
    #button-burger{
        display: flex !important;
        cursor: pointer !important;
        flex-direction: column !important;
        height: 40px !important;
        aspect-ratio: 1/1 !important;
        justify-content: flex-start !important;
        align-items: center !important;
        box-shadow: 0px 0 5px rgb(2, 26, 39) !important;
        border-radius: 5px !important;
    }
    .button-burger .icon-toggle{
        /* font-size: 20px !important; */height: 6px;
        margin: 0;
        color: rgb(2, 26, 39) !important;
        display: flex !important;
    }
}

/* home css */
.table-responsive{
    max-height: 400px !important;
    overflow-y: auto !important;
    position: relative;
    box-shadow: 0px 0 10px rgb(2, 26, 39) !important;
}
thead{
    background: rgb(75, 110, 131) !important;
    color: white !important;
    position: sticky !important;
}
thead tr{
    background: rgb(75, 110, 131) !important;
    color: white !important;
}
thead th{
    color: white !important;
}

.card{
    border: 1px solid rgb(2, 26, 39) !important;
    border-radius: 10px !important;
    padding: 20px !important;
    box-shadow: 0 0 10px rgb(2, 26, 39) !important;
}

/* sender */

.btn-save{
    background: rgb(0, 162, 255) !important;
    border: 1px solid rgb(2, 26, 39) !important;
    color: white !important;
    text-shadow: 0 0 5px rgb(8, 0, 0) !important;
    transition: all 0.3s ease !important; 
    min-width: 100px !important;
    border-radius: 5px !important;
}
.btn-save:hover{
    background: rgb(5, 94, 145) !important;
    color: white !important;
    text-shadow: 0 0 5px rgb(8, 0, 0) !important;
}

input{
    border-radius: 5px !important;
}

#qr-container{
    width:90%;
    aspect-ratio: 1/1;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 10000;
}
#qr-container.d-flex{
    justify-content: center;
    align-items: center;
}